Subject: Re: bug#44941: 28.0.50; M-x grep, perhaps all asynch subprocesses

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Nov 2020 18:38:03 +0200

> From: Andreas Schwab <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 30 Nov 2020 16:47:28 +0100
> 
> On Nov 30 2020, Eli Zaretskii wrote:
> 
> >> From: Richard Stallman <[email-masked]>
> >> Cc: [email-masked]
> >> Date: Sun, 29 Nov 2020 23:46:22 -0500
> >> 
> >> Here is the cgrep script:
> >> 
> >> #!/bin/bash
> >> 
> >> grep -a "$@" | cut -c -200
> >> 
> >> cut seems to be responsible for the problem by buffering output even to a tty.
> >
> > Sounds like a useful feature to ask Grep developers to add it.
> 
> That feature already exists: stdbuf.

I'm not sure I understand: I meant the feature to limit the output
lines to a given column count.